# Uses of Interface
com.privatejgoodies.forms.layout.Size

Packages that use Size
Package
Description
com.privatejgoodies.forms.layout
com.privatejgoodies.forms.util

## Uses of Size in com.privatejgoodies.forms.layout

Classes in com.privatejgoodies.forms.layout that implement Size
Modifier and Type
Class
Description
`final class`
`BoundedSize`
Describes sizes that provide lower and upper bounds as used by the JGoodies FormLayout.
`final class`
`ConstantSize`
An implementation of the `Size` interface that represents constant sizes described by a value and unit, for example: 10 pixel, 15 point or 4 dialog units.
`final class`
`PrototypeSize`
A `Size` implementation that computes its width and height by a prototype String.
Methods in com.privatejgoodies.forms.layout that return Size
Modifier and Type
Method
Description
`static Size`
Sizes.`bounded(Size basis, Size lowerBound, Size upperBound)`
Creates and returns a BoundedSize for the given basis using the specified lower and upper bounds.
`Size`
BoundedSize.`getBasis()`
Returns the base size, which is not-`null`.
`Size`
BoundedSize.`getLowerBound()`
Returns the optional lower bound.
`final Size`
FormSpec.`getSize()`
Returns the size.
`Size`
BoundedSize.`getUpperBound()`
Returns the optional upper bound.
Methods in com.privatejgoodies.forms.layout with parameters of type Size
Modifier and Type
Method
Description
`static Size`
Sizes.`bounded(Size basis, Size lowerBound, Size upperBound)`
Creates and returns a BoundedSize for the given basis using the specified lower and upper bounds.
`String`
LayoutMap.`columnPut(String key, Size value)`
`String`
LayoutMap.`rowPut(String key, Size value)`
Constructors in com.privatejgoodies.forms.layout with parameters of type Size
Modifier
Constructor
Description
``
`BoundedSize(Size basis, Size lowerBound, Size upperBound)`
Constructs a BoundedSize for the given basis using the specified lower and upper bounds.
``
`ColumnSpec(FormSpec.DefaultAlignment defaultAlignment, Size size, double resizeWeight)`
Constructs a ColumnSpec for the given default alignment, size and resize weight.
``
`ColumnSpec(Size size)`
Constructs a ColumnSpec for the given size using the default alignment, and no resizing.
`protected`
`FormSpec(FormSpec.DefaultAlignment defaultAlignment, Size size, double resizeWeight)`
Constructs a `FormSpec` for the given default alignment, size, and resize weight.
``
`RowSpec(FormSpec.DefaultAlignment defaultAlignment, Size size, double resizeWeight)`
Constructs a RowSpec from the given default orientation, size, and resize weight.
``
`RowSpec(Size size)`
Constructs a RowSpec for the given size using the default alignment, and no resizing.

## Uses of Size in com.privatejgoodies.forms.util

Methods in com.privatejgoodies.forms.util that return Size
Modifier and Type
Method
Description
`abstract Size`
LayoutStyle.`getDefaultButtonHeight()`
Returns this style's default button height.
`Size`
MacLayoutStyle.`getDefaultButtonHeight()`
`abstract Size`
LayoutStyle.`getDefaultButtonWidth()`
Returns this style's default button width.
`Size`
MacLayoutStyle.`getDefaultButtonWidth()`